
ScalES-PPM - Feature #212

Add cache database to dependency tracker

11/19/2010 11:18 AM - Thomas Jahns

Status: Closed Start date: 11/19/2010

Priority: Normal Due date: 11/22/2010

Assignee: Thomas Jahns % Done: 100%

Category:  Estimated time: 5:00 hours

Target version:    

Description

On platforms where the Fortran compiler is slow (I'm looking at you xlf) to generate preprocessor output, it would be highly desirable

to cache the dependency results, and not reparse the source code of unchanged files. Such an approach would have to account for

several preconditions:

The environment and flags between runs would ideally be unchanged, perhaps excluding known problem cases.

The source file in question must not have changed, as well as any file it includes.

Please add further conditions to account for.

History

#1 - 11/22/2010 06:23 PM - Thomas Jahns

- Due date set to 11/22/2010

- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

- Estimated time set to 5:00 h

Implemented in both MPIOM and ScalES-PPM. Let the bug reports pour in.

#2 - 06/04/2012 04:59 PM - Thomas Jahns

- Status changed from Resolved to Closed
